longrun.
Get a run

Docs

Runs / Get a run

Get a run

Read status, outputs and error. Terminal statuses are completed, failed, and cancelled.

GEThttps://uselongrun.app/v1/runs/{run_id}
Request
curl --request GET "https://uselongrun.app/v1/runs/${RUN_ID}" \
  --header "Authorization: Bearer ${API_KEY}"

Request parameters

path
idstringRequired

The run ID to use. Copy the id returned when you submitted the run, or from Runs. This is not a file ID. Replace {id} in the URL with that value.

Example
"${RUN_ID}"

Returns

Returns HTTP 200.

idstring
statusobject

Allowed values: queued running completed failed cancelled

outputsobject
errorobject
retry_of_run_idstringnull
created_atstring
updated_atstring